<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xzzn.ems.mapper.EmsMqttMessageMapper">

    <resultMap type="EmsMqttMessage" id="EmsMqttMessageResult">
        <result property="id"    column="id"    />
        <result property="mqttTopic"    column="mqtt_topic"    />
        <result property="mqttMessage"    column="mqtt_message"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
    </resultMap>

    <sql id="selectEmsMqttMessageVo">
        select id, mqtt_topic, mqtt_message, create_by, create_time, update_by, update_time from ems_mqtt_message
    </sql>

    <select id="selectEmsMqttMessageList" parameterType="EmsMqttMessage" resultMap="EmsMqttMessageResult">
        <include refid="selectEmsMqttMessageVo"/>
        <where>
            <if test="mqttTopic != null  and mqttTopic != ''"> and mqtt_topic = #{mqttTopic}</if>
            <if test="mqttMessage != null  and mqttMessage != ''"> and mqtt_message = #{mqttMessage}</if>
        </where>
    </select>

    <select id="selectEmsMqttMessageById" parameterType="Long" resultMap="EmsMqttMessageResult">
        <include refid="selectEmsMqttMessageVo"/>
        where id = #{id}
    </select>

    <insert id="insertEmsMqttMessage" parameterType="EmsMqttMessage">
        insert into ems_mqtt_message
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="id != null">id,</if>
            <if test="mqttTopic != null">mqtt_topic,</if>
            <if test="mqttMessage != null">mqtt_message,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="id != null">#{id},</if>
            <if test="mqttTopic != null">#{mqttTopic},</if>
            <if test="mqttMessage != null">#{mqttMessage},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
        </trim>
    </insert>

    <update id="updateEmsMqttMessage" parameterType="EmsMqttMessage">
        update ems_mqtt_message
        <trim prefix="SET" suffixOverrides=",">
            <if test="mqttTopic != null">mqtt_topic = #{mqttTopic},</if>
            <if test="mqttMessage != null">mqtt_message = #{mqttMessage},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteEmsMqttMessageById" parameterType="Long">
        delete from ems_mqtt_message where id = #{id}
    </delete>

    <delete id="deleteEmsMqttMessageByIds" parameterType="String">
        delete from ems_mqtt_message where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>